'''
Default settings
'''

__all__ = 'ITEMS',

ITEMS = (
    ('bow', (0, 0), 2, (6, 5),
     {'Bow and Arrows': 'bow', 'Bow and Silver Arrows': 'bowandsilvers'},
     {'links': {'silverarrows': (2,)}}),
    ('silverarrows', (), 1, (6, 4), {}, {}),
    ('boomerang', (0, 1), 3, (6, 4),
     {'Boomerang': 'blueboomerang', 'Magical Boomerang': 'redboomerang',
      'Boomerangs': 'bothboomerangs'},
     {'links': {'blueboomerang': (1, 3), 'redboomerang': (2, 3)}}),
    ('blueboomerang', (), 1, (6, 4), {}, {}),
    ('redboomerang', (), 1, (6, 4), {}, {}),
    ('hookshot', (0, 2), 1, (6, 6), {'Hookshot': 'hookshot'}, {}),
    ('bombs', (0, 3), 1, (6, 4), {'Bombs': 'bombs'}, {'default': 1}),
    ('mushroompowder', (0, 4), 3, (6, 4),
     {'Mushroom': 'mushroom', 'Magic Powder': 'powder',
      'Mushroom/Magic Powder': 'mushroompowder'},
     {'links': {'mushroom': (1, 3), 'powder': (2, 3)}}),
    ('mushroom', (), 1, (6, 4), {}, {}),
    ('powder', (), 1, (6, 4), {}, {}),
    ('firerod', (1, 0), 1, (6, 6), {'Fire Rod': 'firerod'}, {}),
    ('icerod', (1, 1), 1, (6, 6), {'Ice Rod': 'icerod'}, {}),
    ('bombos', (1, 2), 1, (6, 4), {'Bombos Medallion': 'bombos'}, {}),
    ('ether', (1, 3), 1, (6, 4), {'Ether Medallion': 'ether'}, {}),
    ('quake', (1, 4), 1, (6, 4), {'Quake Medallion': 'quake'}, {}),
    ('lantern', (2, 0), 1, (6, 6), {'Lantern': 'lantern'}, {}),
    ('hammer', (2, 1), 1, (6, 5), {'Magic Hammer': 'hammer'}, {}),
    ('shovelocarina', (2, 2), 3, (6, 5),
     {'Shovel': 'shovel', 'Ocarina': 'ocarina',
      'Shovel/Ocarina': 'shovelocarina'},
     {'links': {'shovel': (1, 3), 'ocarina': (2, 3)}}),
    ('shovel', (), 1, (6, 4), {}, {}),
    ('ocarina', (), 1, (6, 4), {}, {}),
    ('bugnet', (2, 3), 1, (6, 5), {'Bug-Catching Net': 'bugnet'}, {}),
    ('mudora', (2, 4), 1, (6, 6), {'Book of Mudora': 'mudora'}, {}),
    ('bottle', (3, 0), 1, (6, 8), {'Bottle': 'bottle'}, {}),
    ('somaria', (3, 1), 1, (6, 6), {'Cane of Somaria': 'somaria'}, {}),
    ('byrna', (3, 2), 1, (6, 6), {'Cane of Byrna': 'byrna'}, {}),
    ('cape', (3, 3), 1, (6, 6), {'Magic Cape': 'cape'}, {}),
    ('mirror', (3, 4), 1, (6, 5), {'Magic Mirror': 'mirror'}, {}),

    ('sword', (1, 5), 4, (6, 6),
     {"Fighter's Sword": 'sword0', 'Master Sword': 'sword1',
      'Tempered Sword': 'sword2', 'Golden Sword': 'sword3'},
     {'links': {'mastersword': (2, 3, 4), 'mastersword2': (3, 4)}}),
    ('mastersword', (), 1, (6, 4), {}, {}),
    ('mastersword2', (), 1, (6, 4), {}, {}),
    ('shield', (2, 5), 3, (6, 4),
     {"Fighter's Shield": 'shield1', 'Red Shield': 'shield2',
      'Mirror Shield': 'shield3'},
     {'links': {'mirrorshield': (3,)}}),
    ('mirrorshield', (), 1, (6, 4), {}, {}),
    ('armour', (3, 5), 3, (6, 4),
     {'Green Tunic': 'armour1', 'Blue Mail': 'armour2',
      'Red Mail': 'armour3'},
     {'default': 1, 'links': {'bluemail': (2, 3), 'redmail': (3,)}}),
    ('bluemail', (), 1, (6, 4), {}, {}),
    ('redmail', (), 1, (6, 4), {}, {}),

    ('pegasus', (4, 1), 1, (6, 6), {'Pegasus Shoes': 'pegasus'}, {}),
    ('glove', (4, 2), 2, (6, 6),
     {'Power Gloves': 'glove1', "Titan's Mitts": 'glove2'},
     {'links': {'powerglove': (1, 2), 'titansmitts': (2,)}}),
    ('powerglove', (), 1, (6, 4), {}, {}),
    ('titansmitts', (), 1, (6, 4), {}, {}),
    ('flippers', (4, 3), 1, (6, 5), {"Zora's Flippers": 'flippers'}, {}),
    ('pearl', (4, 4), 1, (6, 4), {'Moon Pearl': 'pearl'}, {}),
    ('halfmagic', (4, 5), 1, (6, 6), {'Half-Magic': 'halfmagic'}, {})
)
